<!DOCTYPE html>
<html lang="fr">
  <head>
    <title>web 2 print</title>
    <meta charset="UTF-8" />
    <style>
      html {
        --page-width: 117.5mm;
        --page-start: 0;
      }
      @media print {
        @page {
          size: 117.5mm 240mm;
        }
      }
    </style>
    <link rel="stylesheet" href="../../assets/css/layout.css" />
    <link rel="stylesheet" href="regions.css" />
    <link rel="stylesheet" href="../../assets/css/main.css" />
    <link rel="stylesheet" href="style.css" />
  </head>
  <body>
	<div id="ensemble">
    <!-- LAYOUT -->
    <div class="page" id="couv">
      <div class="bloc">
        <div class="name"></div>

        <div class="contener_text">
          <p class="text text2">Workshop WebToPrint<br />avec Luuse</p>
          <p class="text text1">
            Octobre 2022<br/>ESAD<br />
            Pyrénées
          </p>
          <p class="text text4"><br/><br/>0/20</p>
        </div>
      </div>
    </div>

    <div class="page">
      <div class="cover-title"></div>
    </div>

	<div class="page page-article-1">
		<div class="bloc"></div>
	</div>
	<div class="page page-article-2">
		<div class="bloc"></div>
	</div>
</div>



	<!-- CONTENT -->
	<article id="article-1" data-src-chapter="../../content/edito.html"></article>
	<article id="article-2" data-src-chapter="../../content/colophon.html"></article>

    <!-- CSS REGIONS-->
    <script src="../../lib/web-to-print-survival-kit.js"></script>
    <script id="jsRe" src="../../lib/cssregions.js"></script>

    <script>
      function rdm(min, max) {
        var r = Math.random() * (max - min) + min;
        return Math.floor(r);
      }
      async function getApi() {
        let response = await fetch("https://randomuser.me/api/?results=21");

        let data = await response.json();
        return data;
      }

      let couv = document.querySelector("#ensemble");
	  let text4 = document.querySelectorAll('.text4');

      getApi().then((data) => {
        for (let x = 0; x < 21; x++) {
          const element = couv.cloneNode(true);
          couv.insertAdjacentElement("beforebegin", element);

          let name = element.querySelector(".name");

          let r;
          let g;
          let b;
          let rgbListe = [];

          for (let x = 0; x < 8; x++) {
            r = Math.floor(100 + Math.random() * 200);
            g = Math.floor(100 + Math.random() * 200);
            b = Math.floor(100 + Math.random() * 200);
            rgbListe[x] = "rgb(" + r + "," + g + "," + b + ")";
          }

          // contener_img.forEach(image => {
          name.style.backgroundImage =
            "linear-gradient(to bottom, " +
            rgbListe[0] +
            "," +
            rgbListe[1] +
            "," +
            rgbListe[2] +
            "," +
            rgbListe[3] +
            "," +
            rgbListe[4] +
            "," +
            rgbListe[5] +
            "," +
            rgbListe[6] +
            "," +
            rgbListe[7] +
            ")";
          // });

        //   console.log(name);
          var pseudo =
            "<div>" + data["results"][x]["login"]["username"] + "</div>";
          name.innerHTML = pseudo;

		  text4.forEach(text => {
			text.innerHTML = "<br><br>" + (x+1) + "/20";
			console.log(text.innerHTML);
		  });
        }
		couv.parentElement.removeChild(couv);

      });
    </script>
  </body>
</html>
<body></body>
